<template>
	<view class="cont">
		<view class="tab"  @tap.stop="changeTabbar(0)">
			<image src="https://lxnapi.ccttiot.com/bike/img/static/uHiAEGb6wNZKZ9KL8ZmO" mode="" v-show="indexs!=0"></image>
			<image src="https://lxnapi.ccttiot.com/bike/img/static/uJdVl8YDhrpXWulJcpLJ" mode="" v-show="indexs==0"></image>
			<!-- <view class="txt" :class="indexs==0?'act1':''" >工作台</view> -->
		</view>
		<view class="tab" @tap.stop="changeTabbar(1)">
			<image src="https://lxnapi.ccttiot.com/bike/img/static/udPk2xAMcEmiMLGb2AYf" mode="" v-show="indexs!=1"  style="width: 126rpx !important;height: 94rpx !important;"></image>
			<image src="https://lxnapi.ccttiot.com/bike/img/static/ulWneeSBglPyM3CpB5sc" mode="" v-show="indexs==1"  style="width: 126rpx !important;height: 94rpx !important;"></image>
			<!-- <view class="txt" :class="indexs==1?'act1':''">地图</view> -->
		</view>
		<!-- <view class="tab" @tap.stop="changeTabbar(2)">
			<image src="@/static/tabbar/order.png" mode="" v-show="indexs!=2" style="width: 28rpx;height: 36.4rpx;"></image>
			<image src="@/static/tabbar/order-active.png" mode="" v-show="indexs==2"  style="width: 28rpx;height: 36.4rpx;"></image>
			<view class="txt" :class="indexs==2?'act1':''">订单</view>
		</view> -->
		<!-- 	<view class="u-page">
		
		</view> -->
		<!-- 与包裹页面所有内容的元素u-page同级，且在它的下方 -->
		<!-- <u-tabbar v-model="current" :list="list" icon-size='40rpx' active-color='#3996fd' inactive-color="#c8c7cb"></u-tabbar> -->
	</view>
</template>

<script>
	export default {
		props: {
			indexs: [Number, String], //题目id
		
		},
		data() {
			return {
				currentTabbarIndex: 0,

				// 自定义底栏对应页面的加载情况
				tabberPageLoadFlag: [],
				ispop: false,
				userInfo:{}
			}
		},
		mounted() {
			this.currentTabbarIndex = this.indexs
			// const index = Number(this.indexs || 0)
			// // 根据底部tabbar菜单列表设置对应页面的加载情况
			// for (let i = 0; i < 5; i++) {
			// 	this.tabberPageLoadFlag.push(i === index)
			// }
			// this.changeTabbar(index)
			this.getUserInfo()
		},
		methods:{
			getUserInfo(){
				this.$u.get("/getInfo").then((res) => {
					if(res.code==200){
						this.userInfo=res.user
						console.log(this.userInfo);
					}
					
					
				});
			},
			changeTabbar(index) {
				let that =this
				
				if (this.currentTabbarIndex === index) return
				// this._switchTabbarPage(index)
				
				if(index==0){
					uni.redirectTo({
						url:'/pages/index/index',
						 routeType: 'wx://modal',
						success() {
							that.currentTabbarIndex = index
						}
					})
					console.log('点击了',index);
				}else if(index==1){
					console.log(this.userInfo);
					if(this.userInfo.userId){
						uni.redirectTo({
							url:'/pages/my',
							 routeType: 'wx://modal',
							success() {
								that.currentTabbarIndex = index
							}
						})
					}else{
						uni.navigateTo({
							url:'/pages/login/login'
						})
					}
					
				}
			},
		}
	}
</script>
<style lang="scss" scoped>
	/deep/.u-tabbar__content__item__button {
		top: 20rpx !important;
	}

	/deep/.u-tabbar {
		.u-tabbar__content__item:nth-child(2) {
			.u-tabbar__content__item__button {
				width: 32rpx !important;
			}
		}
	}

	.cont {
		padding: 15rpx 0 30rpx;
		position: fixed;
		// left: 60rpx;
		bottom: 0rpx;
		width: 750rpx;
		height: 130rpx;
		background: #FFFFFF;
		box-shadow: 0rpx 16rpx 40rpx 0rpx rgba(53, 140, 255, 0.1);
		// border-radius: 60rpx;
		display: flex;
		// align-items: center;
		justify-content: space-around;
		z-index: 1000;
		// border-top: 2rpx solid #95989D;
		.tab{
			width: 150rpx;
			display: flex;
			flex-wrap: wrap;
			justify-content: center;
			image{
				width: 64rpx;
				height: 94rpx;
			}
			
			.act1{
				color: #8883F0;
			}
		}
	}
</style>